Package fr.gouv.vitam.scheduler.server.client

# Interface SchedulerClient

All Superinterfaces:
  `AutoCloseable`, `MockOrRestClient`, `VitamAutoCloseable`

public interface SchedulerClient extends MockOrRestClient

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `findCurrentJobs()`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `findJobs()`
  `RequestResponseOK<com.fasterxml.jackson.databind.JsonNode>`
  `jobState(String jobName)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `scheduleJob(byte[] job)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `triggerJob(byte[] trigger)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `triggerJob(String jobName)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `triggerJob(String jobName, com.fasterxml.jackson.databind.JsonNode jobDataMap)`

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Method Details

  - ### findCurrentJobs

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> findCurrentJobs() throws VitamClientException
    Throws:
      `VitamClientException`

  - ### findJobs

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> findJobs() throws VitamClientException
    Throws:
      `VitamClientException`

  - ### jobState

    RequestResponseOK<com.fasterxml.jackson.databind.JsonNode> jobState(String jobName) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### scheduleJob

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> scheduleJob(byte[] job) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### triggerJob

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> triggerJob(String jobName) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### triggerJob

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> triggerJob(String jobName, com.fasterxml.jackson.databind.JsonNode jobDataMap) throws VitamClientException
    Throws:
      `VitamClientException`

  - ### triggerJob

    RequestResponse<com.fasterxml.jackson.databind.JsonNode> triggerJob(byte[] trigger) throws VitamClientException
    Throws:
      `VitamClientException`